[B]3.0.4[/B]
Fix Subtitles button

[B]3.0.3[/B]
Fix scrollbars

[B]3.0.2[/B]
Fix noop textures
Localize raw labels
Convert language folders to new style
Remove AudioDSP
Fix DialogAddonSettings buttons

[B]3.0.1[/B]
Bump to new xbmcgui 5.14
Fix PVR views
Fix PVR view menu
Remove hyphen null values
Add dependencies button in AddonInfo
Fix AddonSettings header
Add views tag to MyMusicPlaylistEditor
PVR Recordings watched toggle
Games updates

[B]3.0.0[/B]
LEIA WORK COMMENCES
DialogAddonSettings.xml id changes
Scrollbar visibility fix
DialogPVRGuideOSD rename file
Player.CanRecord name change
ChannelNumber name change
PlayerControl(record) name change

[B]2.5.46[/B]
Tweak settings layout
Add libreelec configuration window and settings button

[B]2.5.45[/B]
Add option to switch artwork and list positions
Add filemanger and eventlog to settings window
Update filemanager and eventlog to match other settings dialogs
Update settings window to show details about each section
Change settings window to 3x4 tiles
Fix bug in vertical powermenu with more than 8 items not showing background

[B]2.5.44[/B]
Fix powermenu vertical scroll issue
Add biglist view for music

[B]2.5.43[/B]
Make vertical context and view menus default
Add playlist for videos
Fix playlist views

[B]2.5.42[/B]
Bump for repo

[B]2.5.41[/B]
Add clearart to video osd.

[B]2.5.40[/B]
New Settings style (dialog with fake settings category behind)
Add option for vertical menus for context/view

[B]2.5.39[/B]
New indicator style
Options for disabling indicators on icon views
Add indicator for number of unwatched episodes on icon views
Add overlay backgrounds
Fix issue with DialogSelect and ParentFolder items

[B]2.5.38[/B]
Add colour diffuse overlay for music vis
Add scrolling text for music vis
Add multiple widgets per hub

[B]2.5.37[/B]
Fix Smart playlists
Fix visibility of showcase close animation
Add submenu widgets
Add additional shadows to furniture items
New viewtype mediainfo 3 (mediainfo2 with banners)
VideoLyrics
Fix focus of items that need to reload skin in skin settings

[B]2.5.36[/B]
Add opacity control for fanart fade

[B]2.5.35[/B]
Update lyrics so shows info with it 
New Default icons to match other icon themes
New login screen
Fix no label for settings button in addonbrowser

[B]2.5.34[/B]
Change String and Integer conditions to Krypton standard.
Fix access to weather menu
Add options to edit weather settings from weather menu
Fix missing globaloverlay in DialogAddonSettings
Remove limit on Hub Widgets number of items
Bump dependency versions

[B]2.5.33[/B]
Add a hackish workaround for plugins that don't use return property properly.
Remove the need for setting force view lock (enabled in viewmode)
Add warning to unlock views

[B]2.5.32[/B]
Update viewmode selector to use my own custom built custom dialog

[B]2.5.31[/B]
Add my own ridiculously convoluted view locking code for every content type!
-- (skin helper lock was too buggy and didnt work for all content types)

[B]2.5.30[/B]
Add videos container content for youtube etc
Tweaks to InfoList2

[B]2.5.29[/B]
Add new color scheme for Solid Panels
Flatten internal dialog shadows (option to reapply in Skin Settings > Misc > Panels > Show additional shadows on dialogs)
Add Showcase for Music
Add skinhelper view selector
Add skinhelper view disabler
Tweak DialogVideoInfo for addons without Posters
Fix DialogVideoInfo issue with no titles in some addons
Tweak actualicon in lists so no scaling (use center instead of keep)

[B]2.5.28[/B]
Fix list indicators
Add more obvious unwatched indicator
Rearrange list items
Add ability to disable views via skin helper
Add skin helper view selection

[B]2.5.27[/B]
Update to new skinhelper properties
Add Metacritic ratings and pull imdb ratings from web in info dialog
Add rotten/fresh indicator for rt

[B]2.5.26[/B]
Add additional media flags
Hide extrainfo in info boxes if media flags enabled
Fix showcase flicker bug
Add missing shadows to showcase posters

[B]2.5.25[/B]
Revert info dialog buttons

[B]2.5.24[/B]
Tweaks to buttons in info dialogs
Add additional web-dl and tv source flags

[B]2.5.23[/B]
Add Plain list for views that have no artwork
Add option in Skin Settings > Panels to disable additional info labels in lists
Add info overlay on up from dialoginfo

[B]2.5.22[/B]
Fix submenu onclick to move notifications down when changing windows from home
Close submenu onclick
Fix PVR to not show videowindow if show video in background is enabled to prevent bugs
Fix RSS feed not showing for text only
Fix DialogSettings to hide when dialogslider visible so doesn't obscure audio offset
Fix DialogBusy vanishing icon from header when opening addon plugins from home

[B]2.5.21[/B]
No content available label and fallback iamge for hubs with no items
Add userrating control to musicinfo
Add userrating stars to media flags for albums / songs
Fix for rotten tomatoes box office in info dialog

[B]2.5.20[/B]
New home wallpaper (Thanks Tinwarble - http://kodi.wiki/view/File:Wallpaper_by_Tinwarble_6.png)
New Dialog style confirm / ok / yes / no / progress in center of screen for better readability.

[B]2.5.19[/B]
Fix hub widgets target selection

[B]2.5.18[/B]
Add option to get header tile to follow library node location rather than home tile selection
Add group to pvr timeline subheader
--

[B]2.5.17[B]
Add Year to Extendinfo Video screens
Fix Some extended info navigation issues (still bugs with mouse for extendedinfo)

[B]2.5.16[/B]
Fix up Music Library display
Add additional Skin Helper lookups
Tweaks to a number of views
Fix up cut off Default Icons

[B]2.5.15[/B]
Fix sorting labels when no sorting active

[B]2.5.14[/B]
New Music Vis screen
Fix Lyrics

[B]2.5.13[/B]
Add recording labels to PVR
Fix ExtendedProgress
Fix SkinShortcuts Customisation not accepting mouse input
Fix guide on back no longer goes to menu - use menu key from now on
Add DialogPlayerProcessInfo
Add PrivacyPolicy to SystemInfo

[B]2.5.12[/B]
Rename window librarysettings to mediasettings
Fix okCancel in DialogSelect for skipsteps hidden off screen
Fix RT percentage rating change.

[B]2.5.11[/B]
Fix homescreen scaling issue

[B]2.5.10[/B]
Fix mutebug
Fix widget targets
Fix dialogselect stuck issue
Fix some info for movie sets
Add title on icons view
Consolidate extrainfo bylines

[B]2.5.9[/B]
Fix borders on some icon views
Add scrollbar to infolist
Fix focus highlight on infolist
Update some view types for music
Add BigWide view
Fix dividers and header labels in settings

[B]2.5.8[/B]
Fix a skinshortcuts build error

[B]2.5.7[/B]
Some log error fixes
Move weather icons in clock to resource file

[B]2.5.6[/B]
Fix Livetv widget show channel and show name plus time
Fix Header spacing etc.
Show show name in information box
Show record button for livetv in osd
Show fullscreen button in view menu

[B]2.5.5[/B]
Add Showcase view
Add indicators to BigIcon view
Change Null networksettings icon to file manager in settings
Add DialogGameControllers
Fix Settings Headers
Add new DefaultIcons

[B]2.5.4[/B]
Fix extended info
Fix DialogSlider
Fix DialogSettings
Fix DialogConfirm
Fix Weather Fanart Download
Add Install Support Addons section in Skin Settings

[B]2.5.3[/B]
Krypton Work Begins:
Change includes name to includes content
Change DialogProgress to DialogConfirm and add Yes button
Remove DialogOK and DialogYesNo
Change xbmc.gui to 5.12.0 (Krypton)
Adjust ListItem.Property(Addon.INFO) labels to new syntax
Rename DialogKaiToast to DialogNotification
Remove MyMusicPlaylist
Rename MyVideoPlaylist to MyPlaylist
Remove DialogMuteBug
Add DialogSettings
Remove DialogAudioDSPSettings
Remove DialogContentSettings
Remove DialogMediaFilter
Remove DialogNetworkSetup 
Remove DialogPeripheralSettings
Remove DialogPVRTimerSettings
Remove LockSettings 
Remove ProfileSettings 
Remove VideoOSDSettings
Fix DialogAudioDSPManager
TODO: MyPVRTimers, DialogGameControllers, DefaultIcons 

[B]2.5.2[/B]
Add option to remove padding from panel edges
Clean up skin settings
Add option to show background music visualisation

[B]2.5.1[/B]
Fix overlap on now playing
Enable weather widget
Fix some menu buttons

[B]2.5.0[/B]
Massive overhaul of design. Lots of goodies, too many to name.

[B]2.0.4[/B]
Set non-persistent widgets as default
Use option "prevent widget reloading" to enable persistent widgets

[B]2.0.3[/B]
Add persistent widgets

[B]2.0.2[/B]
Add keyboard autocompletion

[B]2.0.1[/B]
Readd fixes for dbid lookup in extendedinfo

[B]2.0.0[/B]
Version bump for Repo submission

[B]0.9.47[/B]
Tweak how cast lists etc are handled in videoinfo / extinfo
Fix SettingsLevel button font

[B]0.9.46[/B]
New Keyboard
Auto size buttons
Tweak Select, Browse and Profile dialogs

[B]0.9.45[/B]
Fix ExtendedInfo for v4.0

[B]0.9.44[/B]
Add Info List 2 (Info list without side poster)
Add option to turn plot off in hub widget
Fix codec info overlay colour for light theme

[B]0.9.43[/B]
Add Home menu to player controls window when nothing is playing
Browse skin icons in panel

[B]0.9.42[/B]
New PlayerControls window that shows music playlist or now playing video plus information

[B]0.9.41[/B]
Fixed viewtype selection bug
Tweak Info Icons viewtype to remove bottom line and match dimensions
Match extendedinfo browser to new info icons viewtype
Add rottentomatoes score and critic consensus to movie info

[B]0.9.40[/B]
Revert genre icons until fix made available in skin helper
PVR OSD Guide + Channel now playing select stripe
-- fix some highlight color issues
(Jarvis) Audio DSP Manager
Make default primary highlight for fullscreen

[B]0.9.39[/B]
Big Icon view for episodes
New viewtype InfoList
OSD video plot info poster size fix
(Jarvis) Genre icons using new helper service fix for thumbs

[B]0.9.38[/B]
(Jarvis) Remove MyMusicSongs and Karaoke
(Jarvis) Remove rollback id11 in AddonInfo
Merge Isengard changes
Next Aired RSS
Add oninfo for Home and Hub Movie and TV Widgets
Various other things
Add osd controls to Home Screen on up
Fix text for movie streams now playing
Menucontrol added for view menu

[B]0.9.37[/B]
Add more default/none items to settings
Change default home background
Add fix for extendedinfo
Dont pause on extended info from osd
Make Extra Info from OSD more like library view
Add episode and season number to OSD info

[B]0.9.36[/B]
Merge changes from Isengard version

[B]0.9.35[/B]
Merge recording icon and header text for PVR

[B]0.9.34[/B]
Merge fix for text only home onup posters

[B]0.9.33[/B]
Merge Isengard changes to Home
Add Light color theme
Add kodi version name
Bump addon version to match master branch for revisioning purposes

[B]0.9.32[/B]
Weather fanart and icon selection resource

[B]0.9.31[/B]
Jarvis changes
-- DialogPVRInfo.xml
-- Remove VideoOverlay.xml
-- Remove MusicOverlay.xml
-- Remove DialogPVRGuideInfo.xml
-- Remove DialogPVRRecordingInfo.xml
-- Remove VisualisationPresetList.xml
-- Remove DialogFileStacking.xml
-- Remove MyMusicSongs.xml
-- Remove DialogPeripheralManager.xml
-- Remove <allowoverlay> tags
-- Add EventLog.xml

[B]0.9.30[/B]
Switch git hub main branch to Jarvis
Isengard development on Isengard branch

[B]0.9.29[/B]
Ability to close OSD on down
Fix unmatched parentheses

[B]0.9.28[/B]
Option for home text inside tiles
Move transparent home from theme to option in skin settings

[B]0.9.27[/B]
Fix mainmenu group override for non ActivateWindow commands
Fix screen calibration missing textures
Fixes to biglist in music
Add ability to fully customise Power/Shutdown menu

[B]0.9.26[/B]
Fix up some widget code
More options for fallback and hubs widgets
Fix overrides for new options
Global fallback weather widget
Hide buttons in extendedinfo if no content available
Move backup and restore to new menu item with skin reset
Genre and Keyword lists in extended info dialogs
Double pane cast and crew in extended info dialogs

[B]0.9.25[/B]
New info screens with clear background
Fix syntax errors
Hide OSD settings dialog when adjustment slider visible

[B]0.9.24[/B]
Fix video resolution info on osd

[B]0.9.23[/B]
Wider info boxes
Busy spinner moved to dialog
More widget options for global widget
Fix log errors (unmatched parentheses and missing includes)
Add pvr progress texture
Now / Next Channel view

[B]0.9.22[/B]
Guide: Now, Next, Channel
New PVR channel view shows more channels

[B]0.9.21[/B]
Ability to set widget posters showing individually

[B]0.9.20[/B]
Busy Spinner selection option
Weather Widget
New View - Gallery
New View - Fanart List
Option to disable info line headers
Backup options
Some mouse fixes

[B]0.9.19[/B]
Fix home screen issue with RSS / Notifications and mouse over
Fix highlight issue with nextup
Update spinner to png multiimage
Fix home screen playlist background
Big Icon view for Music
Square list for Music / Pictures / Programs

[B]0.9.18[/B]
Conditional content counters on home screen
Add SeekStepSize

[B]0.9.17[/B]
Fix transparent info box conditional on posters
Global overlay option

[B]0.9.16[/B]
Add ability to change home main header text
Set home main header text default to "Media Center"
Fix power menu button

[B]0.9.15[/B]
Widget poster and discart options
Add director movies to info
Add mouse cursor (mouse not full supported but works most places)

[B]0.9.14[/B]
Add ability to show posters only on up (widget info hidden)
Fix favourites bug
All PVR Dialogs complete
Fix header in tvshow episodes
Add ability to change home tile text/icon

[B]0.9.13[/B]
Widget poster options

[B]0.9.12[/B]
Fix resolution flag issue
Hide widget info box option

[B]0.9.11[/B]
Plot overlay
Hide header text

[B]0.9.10[/B]
Show info on osd toggle
Add transparent home bar theme (use only with 10 items or less)
Conditional side home bar masks for more than ten items
Media flags

[B]0.9.9[/B]
Opaque Panels
OSD Info

[B]0.9.8[/B]
Extended Info Browser
Media Info 3
Next Aired
NextUp

[B]0.9.7[/B]
Peripherals and Network dialogs
Many label fixes

[B]0.9.6[/B]
New views
-- Media Info 2
-- Icon Info
-- Big List Info

[B]0.9.5[/B]
Begin work on PVR
New Info Screens

[B]0.9.4[/B]
Update hub widget to show type at top and name in window

[B]0.9.3[/B]
Add indicator to home for submenu
Up/Down indicators on content
Seekbar seektime indicator bubble
Unfocused tile color option

[B]0.9.2[/B]
Center homebar when items less than 10
Fix tvshowtitle for now playing header
Add remove clock setting
Fix DialogOK case issue

[B]0.9.1[/B]
Alpha Release

Still to complete
-- PVR windows
-- Next Aired
-- NextUp
-- ExtendedInfo Browser
-- Video Extras
-- Lyrics
-- Peripherals Dialogs
-- Network Dialog
